## IdeBufferChangeMonitor IdeBufferChangeMonitor |

## Functions

IdeBufferLineChange | ide_buffer_change_monitor_get_change ()
void | ide_buffer_change_monitor_emit_changed ()

## Types and Values

#define | IDE_TYPE_BUFFER_CHANGE_MONITOR
enum | IdeBufferLineChange
struct | IdeBufferChangeMonitorClass
| IdeBufferChangeMonitor

## Description

## Functions

### ide_buffer_change_monitor_get_change ()

    IdeBufferLineChange
    ide_buffer_change_monitor_get_change (IdeBufferChangeMonitor *self,
                                          const GtkTextIter *iter);

### ide_buffer_change_monitor_emit_changed ()

    void
    ide_buffer_change_monitor_emit_changed
                                   (IdeBufferChangeMonitor *self);

## Types and Values

### IDE_TYPE_BUFFER_CHANGE_MONITOR

    #define IDE_TYPE_BUFFER_CHANGE_MONITOR (ide_buffer_change_monitor_get_type())

### enum IdeBufferLineChange

#### Members

IDE_BUFFER_LINE_CHANGE_NONE |  |
IDE_BUFFER_LINE_CHANGE_ADDED |  |
IDE_BUFFER_LINE_CHANGE_CHANGED |  |
IDE_BUFFER_LINE_CHANGE_DELETED |  |

### struct IdeBufferChangeMonitorClass

    struct IdeBufferChangeMonitorClass {
      IdeObjectClass parent;

      void                (*set_buffer) (IdeBufferChangeMonitor *self,
                                         IdeBuffer              *buffer);
      IdeBufferLineChange (*get_change) (IdeBufferChangeMonitor *self,
                                         const GtkTextIter      *iter);
      void                (*reload)     (IdeBufferChangeMonitor *self);

      gpointer _reserved1;
      gpointer _reserved2;
      gpointer _reserved3;
      gpointer _reserved4;
      gpointer _reserved5;
      gpointer _reserved6;
      gpointer _reserved7;
      gpointer _reserved8;
    };

### IdeBufferChangeMonitor

    typedef struct _IdeBufferChangeMonitor IdeBufferChangeMonitor;